#ifndef MODEL_H
#define MODEL_H

#include <windows.h>
#include "diffraction.h"
#include "parameters.h"

class Model: public Diffraction
{
public:
    Model(HWND hwnd, CRaster *bmp, ColorMap *cmap);
    Model(const Model &rhs);
    ~Model();
    Model &operator=(const Model &rhs);
    CRaster const* GetBmp() const;
    int Export(const char *filename) const;
};

#endif // MODEL_H
